#include "commentfieldwidget.h"
#include <QDialog>
#include <QDebug>
CommentFieldWidget::CommentFieldWidget(QWidget *parent):
        AbstractFieldWidget(parent)
{

    mButton = new QPushButton;
    mButton->setText("comment");
    mComment="";
    setWidget(mButton);

    connect(mButton,SIGNAL(clicked()),this,SLOT(showTextEditor()));
}
void CommentFieldWidget::setValue(QVariant value)
{
    mComment = value.toString();
}

QVariant CommentFieldWidget::value()
{

    return mComment;

}
void CommentFieldWidget::showTextEditor()
{
    QDialog * dialog = new QDialog;
    QVBoxLayout * layout = new QVBoxLayout;
    TextEditor * mEditor = new TextEditor;
    mEditor->setText(mComment);
    dialog->setWindowFlags(Qt::Tool);
    layout->addWidget(mEditor);
    mEditor->setText(mComment);
    dialog->setLayout(layout);

    dialog->exec();

    setValue(mEditor->text());
    setToolTip(mComment);
    delete dialog;

}
