#include "modelfieldwidget.h"
#include <QSqlQuery>
#include <QDebug>
ModelFieldWidget::ModelFieldWidget(const QString& table, const QString& field,QWidget *parent):
        AbstractFieldWidget(parent)
{

    mComboBox = new QComboBox;
    setWidget(mComboBox);


    mComboBox->setEditable(true);
    QString requete = "SELECT id,"+field+" FROM "+table;
    QSqlQuery query;
    query.exec(requete);

    while ( query.next())
    {
        mComboBox->addItem(query.value(1).toString(),query.value(0));
    }








}
void ModelFieldWidget::setValue(QVariant value)
{
    qDebug()<<value;
    int id = mComboBox->findData(value,Qt::UserRole);
  mComboBox->setCurrentIndex(id);
}

QVariant ModelFieldWidget::value()
{
    int id=mComboBox->currentIndex();
    return mComboBox->itemData(id,Qt::UserRole);
}
