#include "formdialog.h"

FormDialog::FormDialog(AbstractForm * form,QWidget *parent) :
        QDialog(parent)
{

    mForm  = form;
    mSaveButton = new QPushButton("save");
    mCancelButton=new QPushButton("annuler");
    QHBoxLayout * hLayout = new QHBoxLayout;
    QVBoxLayout * layout = new QVBoxLayout;

    hLayout->addStretch();
    hLayout->addWidget(mSaveButton);
    hLayout->addWidget(mCancelButton);
    layout->addWidget(mForm);
    layout->addLayout(hLayout);

    setLayout(layout);

    connect(mSaveButton,SIGNAL(clicked()),this,SLOT(save()));
    connect(mCancelButton,SIGNAL(clicked()),this,SLOT(reject()));




}
void FormDialog::save()
{
    mForm->save();
    emit accept();
}
